<?php
/**
 * Displaying Archive pages.
 * @package Hotel Resort
 */

get_header(); ?>

<?php /** post section **/ ?>
<div class="container">
    <main id="main" role="main" class="content-with-sidebar">
        <?php
        $hotel_resort_layout = get_theme_mod( 'hotel_resort_theme_options','Right Sidebar');
        if($hotel_resort_layout == 'One Column'){?>
            <div id="firstbox" class="mainbox mt-5">
                <?php
                    the_archive_title( '<h1 class="page-title mb-2">', '</h1>' );
                    the_archive_description( '<div class="taxonomy-description">', '</div>' );
                ?>
                <?php if ( have_posts() ) :
                  /* Start the Loop */
                    while ( have_posts() ) : the_post();
                      get_template_part( 'template-parts/content',get_post_format() ); 
                    endwhile;
                    else :
                      get_template_part( 'no-results' ); 
                    endif; 
                ?>
                <div class="navigation">
                    <?php
                        // Previous/next page navigation.
                        the_posts_pagination( array(
                            'prev_text'          => __( 'Previous page', 'hotel-resort' ),
                            'next_text'          => __( 'Next page', 'hotel-resort' ),
                            'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'hotel-resort' ) . ' </span>',
                        ));
                    ?>
                </div>
            </div>
            <div class="clearfix"></div>
        <?php }else if($hotel_resort_layout == 'Three Columns'){?>
            <div class="row">
                <div id="sidebar" class="col-lg-3 col-md-3 mt-5"><?php dynamic_sidebar('sidebar-2'); ?></div>               
                <div id="firstbox" class="col-lg-6 col-md-6 mainbox mt-5">
                    <?php
                        the_archive_title( '<h1 class="page-title mb-2">', '</h1>' );
                        the_archive_description( '<div class="taxonomy-description">', '</div>' );
                    ?>
                    <?php if ( have_posts() ) :
                      /* Start the Loop */
                        while ( have_posts() ) : the_post();
                          get_template_part( 'template-parts/content',get_post_format() ); 
                        endwhile;
                        else :
                          get_template_part( 'no-results' ); 
                        endif; 
                    ?>
                    <div class="navigation">
                      <?php
                          // Previous/next page navigation.
                          the_posts_pagination( array(
                              'prev_text'          => __( 'Previous page', 'hotel-resort' ),
                              'next_text'          => __( 'Next page', 'hotel-resort' ),
                              'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'hotel-resort' ) . ' </span>',
                          ) );
                      ?>
                    </div>
                </div>                
                <div id="sidebar" class="col-lg-3 col-md-3 mt-5"><?php dynamic_sidebar('sidebar-2'); ?></div>
            </div>
        <?php }else if($hotel_resort_layout == 'Four Columns'){?>
            <div class="row">
                <div id="sidebar" class="col-lg-3 col-md-3 mt-5"><?php dynamic_sidebar('sidebar-2'); ?></div>                
                <div id="firstbox" class="col-lg-3 col-md-3 mainbox mt-5">
                    <?php
                        the_archive_title( '<h1 class="page-title mb-2">', '</h1>' );
                        the_archive_description( '<div class="taxonomy-description">', '</div>' );
                    ?>
                    <?php if ( have_posts() ) :
                      /* Start the Loop */
                        while ( have_posts() ) : the_post();
                          get_template_part( 'template-parts/content',get_post_format() ); 
                        endwhile;
                        else :
                          get_template_part( 'no-results' ); 
                        endif; 
                    ?>
                    <div class="navigation">
                        <?php
                            // Previous/next page navigation.
                            the_posts_pagination( array(
                                'prev_text'          => __( 'Previous page', 'hotel-resort' ),
                                'next_text'          => __( 'Next page', 'hotel-resort' ),
                                'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'hotel-resort' ) . ' </span>',
                            ) );
                        ?>
                    </div>
                </div>
                <div id="sidebar" class="col-lg-3 col-md-3 mt-5"><?php dynamic_sidebar('sidebar-2'); ?></div>
                <div id="sidebar" class="col-lg-3 col-md-3 mt-5"><?php dynamic_sidebar('sidebar-3'); ?></div>
            </div>
        <?php }else if($hotel_resort_layout == 'Right Sidebar'){?>
            <div class="row">    
                <div id="firstbox" class="col-lg-8 col-md-8 mainbox mt-5">
                    <?php
                        the_archive_title( '<h1 class="page-title mb-2">', '</h1>' );
                        the_archive_description( '<div class="taxonomy-description">', '</div>' );
                    ?>
                    <?php if ( have_posts() ) :
                      /* Start the Loop */
                        while ( have_posts() ) : the_post();
                          get_template_part( 'template-parts/content',get_post_format() ); 
                        endwhile;
                        else :
                          get_template_part( 'no-results' ); 
                        endif; 
                    ?>
                    <div class="navigation">
                        <?php
                            // Previous/next page navigation.
                            the_posts_pagination( array(
                                'prev_text'          => __( 'Previous page', 'hotel-resort' ),
                                'next_text'          => __( 'Next page', 'hotel-resort' ),
                                'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'hotel-resort' ) . ' </span>',
                            ));
                        ?>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 mt-5"><?php get_sidebar(); ?></div>
            </div>
        <?php }else if($hotel_resort_layout == 'Left Sidebar'){?>
            <div class="row">
                <div class="col-lg-4 col-md-4"><?php get_sidebar(); ?></div>
                <div id="firstbox" class="col-lg-8 col-md-8 mainbox mt-5">
                        <?php
                            the_archive_title( '<h1 class="page-title mb-2">', '</h1>' );
                            the_archive_description( '<div class="taxonomy-description">', '</div>' );
                        ?>
                        <?php if ( have_posts() ) :
                            /* Start the Loop */
                            while ( have_posts() ) : the_post();
                              get_template_part( 'template-parts/content',get_post_format() ); 
                            endwhile;
                            else :
                              get_template_part( 'no-results' ); 
                            endif; 
                        ?>
                        <div class="navigation">
                            <?php
                                // Previous/next page navigation.
                                the_posts_pagination( array(
                                    'prev_text'          => __( 'Previous page', 'hotel-resort' ),
                                    'next_text'          => __( 'Next page', 'hotel-resort' ),
                                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'hotel-resort' ) . ' </span>',
                                ) );
                            ?>
                        </div>
                </div>                
            </div>
        <?php }else if($hotel_resort_layout == 'Grid Layout'){?>
            <div id="firstbox" class="mainbox mt-5">
                <?php
                    the_archive_title( '<h1 class="page-title mb-2">', '</h1>' );
                    the_archive_description( '<div class="taxonomy-description">', '</div>' );
                ?>
                <div class="row">
                    <?php if ( have_posts() ) :
                      /* Start the Loop */
                        while ( have_posts() ) : the_post();
                            get_template_part( 'template-parts/grid-layout' );
                        endwhile;
                        else :
                          get_template_part( 'no-results' ); 
                        endif; 
                    ?>
                </div>
                <div class="navigation">
                    <?php
                        // Previous/next page navigation.
                        the_posts_pagination( array(
                            'prev_text'          => __( 'Previous page', 'hotel-resort' ),
                            'next_text'          => __( 'Next page', 'hotel-resort' ),
                            'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'hotel-resort' ) . ' </span>',
                        ));
                    ?>
                </div>
            </div>
        <?php }else {?>
            <div id="firstbox" class="mainbox mt-5">
                <?php
                    the_archive_title( '<h1 class="page-title mb-2">', '</h1>' );
                    the_archive_description( '<div class="taxonomy-description">', '</div>' );
                ?>
                <?php if ( have_posts() ) :
                    /* Start the Loop */
                    while ( have_posts() ) : the_post();
                      get_template_part( 'template-parts/content',get_post_format() ); 
                    endwhile;
                    else :
                      get_template_part( 'no-results' ); 
                    endif; 
                ?>
                <div class="navigation">
                    <?php
                        // Previous/next page navigation.
                        the_posts_pagination( array(
                            'prev_text'          => __( 'Previous page', 'hotel-resort' ),
                            'next_text'          => __( 'Next page', 'hotel-resort' ),
                            'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'hotel-resort' ) . ' </span>',
                        ));
                    ?>
                </div>
            </div>
            <div class="clearfix"></div>
        <?php } ?>
    </main>    
</div>

<?php get_footer(); ?>